using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[2]);
            for(int i = 0; i < n; i++)
            {
                Console.ReadLine();
            }
            Console.WriteLine("6");
        }
    }
}